Yandex Cloud
Search
Contact UsTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • How to use the API
      • Signing requests
      • Getting started with the S3 API
        • All services and methods
          • General multipart upload procedure
          • CreateMultipartUpload
          • UploadPart
          • UploadPartCopy
          • ListParts
          • AbortMultipartUpload
          • CompleteMultipartUpload
          • ListMultipartUploads
        • Common request headers
        • Common response headers
        • Responses
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • Request
  • Path parameters
  • Query parameters
  • Headers
  • Response
  • Headers
  • Response codes
  • Data schema
  1. API reference
  2. AWS S3 REST
  3. REST
  4. Multipart upload
  5. ListParts

Object Storage API, Amazon S3-compatible REST: ListParts

Written by
Yandex Cloud
Updated at May 6, 2026
  • Request
    • Path parameters
    • Query parameters
    • Headers
  • Response
    • Headers
    • Response codes
    • Data schema

Returns a list of already uploaded parts for the specified multipart upload.

The response may not contain more than 1,000 elements. If there are more parts in the multipart upload, Object Storage will return the IsTruncated marker and the NextPartNumberMarker element. You can get the remaining elements with consecutive requests where the part-number-marker parameter is set to NextPartNumberMarker from the previous request.

For more information on getting started with the API and the general request format, see How to use the S3 API.

RequestRequest

GET /{bucket}/{key}?uploadId=UploadId HTTP/2

Path parametersPath parameters

Parameter Description
bucket Bucket name.
key Object key.

Query parametersQuery parameters

You can change a response from Object Storage using the parameters described in the table below.

Parameter Description
encoding-type Encoding of server responses.

Object Storage can encode responses in the format requested by the client.
max-parts The maximum number of elements in a response per request.

Default: 1,000.
part-number-marker Number of the part to start a response from.

Object Storage in the response, only includes the parts whose numbers are greater than the one specified.
uploadId ID of the multipart upload.

Only the uploadId parameter is required.

HeadersHeaders

Use the appropriate common headers in your request.

ResponseResponse

HeadersHeaders

Responses can only contain common headers.

Response codesResponse codes

For a list of possible responses, see Responses.

A successful response contains additional data in XML format with the schema described below.

Data schemaData schema

<ListPartsResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
  <Bucket>example-bucket</Bucket>
  <Key>example-object</Key>
  <UploadId>0005B465********</UploadId>
  <Initiator>
      <ID>ajeanexa********</ID>
      <DisplayName>ajeanexampleuser</DisplayName>
  </Initiator>
  <Owner>
      <ID>ajeanexa********</ID>
      <DisplayName>ajeanexampleuser</DisplayName>
  </Owner>
  <StorageClass>STANDARD</StorageClass>
  <PartNumberMarker>0</PartNumberMarker>
  <NextPartNumberMarker>2</NextPartNumberMarker>
  <MaxParts>2</MaxParts>
  <IsTruncated>true</IsTruncated>
  <Part>
    <PartNumber>1</PartNumber>
    <LastModified>2020-11-18T17:33:46.787Z</LastModified>
    <ETag>"1430884b802ee5206cbe0ca0cf9b73d4"</ETag>
    <Size>8388608</Size>
  </Part>
  <Part>
    <PartNumber>2</PartNumber>
    <LastModified>2020-11-18T17:33:46.812Z</LastModified>
    <ETag>"449aa7eaff2e841923b0da9ff2be5946"</ETag>
    <Size>8388608</Size>
  </Part>
</ListPartsResult>

The possible response tags are described in the table below.

Tag Description
ListPartsResult Root element of the response.

Path: /ListPartsResult.
Bucket Multipart upload bucket.

Path: /ListPartsResult/Bucket.
Encoding-Type Encoding used by Object Storage to provide a key in an XML response.

You will get this tag if the client provided the encoding-type parameter in the request.

Path: /ListPartsResult/Encoding-Type.
Key The key the multipart upload is made for.

Path: /ListPartsResult/Key.
UploadId Multipart upload ID.

Path: /ListPartsResult/UploadId.
Initiator Information about the user who initiated the upload.

Path: /ListPartsResult/Initiator.
ID User ID.

Path: /ListPartsResult/Initiator/ID.
DisplayName User name displayed.

Path: /ListPartsResult/Initiator/DisplayName.
Owner Information about the object owner, matches Initiator.

Path: /ListPartsResult/Owner.
StorageClass Object storage class: STANDARD, COLD, or ICE.

Path: /ListPartsResult/StorageClass.
PartNumberMarker Number of the part after which the list begins.

The first item on the list has the number following the PartNumberMarker.

Path: /ListPartsResult/PartNumberMarker.
NextPartNumberMarker Number of the part the current list ends with.

Present if the entire list of parts does not fit in the response.

Path: /ListPartsResult/NextPartNumberMarker.
MaxParts Maximum list size per response.

Path: /ListPartsResult/MaxParts.
IsTruncated Flag indicating an incomplete list.

If IsTruncated is true, it means Object Storage has returned an incomplete list of parts.

Path: /ListPartsResult/IsTruncated.
Part Description of an upload part.

Path: /ListPartsResult/Part.
PartNumber Part number.

A unique integer ID that defines the position of the part in the upload.

Path: /ListPartsResult/Part/PartNumber.
LastModified Date and time when the part was uploaded.

Path: /ListPartsResult/Part/LastModified.
ETag ETag of the uploaded part.

Path: /ListPartsResult/Part/ETag.
Size Size of the uploaded part.

Path: /ListPartsResult/Part/Size.

Related articlesRelated articles

  • Multipart upload

  • Multipart upload of an object

See alsoSee also

  • Getting started with the AWS S3 API in Yandex Object Storage

  • Debugging requests using the AWS CLI

  • Example of sending a signed request using curl

  • Code example for generating a signature

Was the article helpful?

Previous
UploadPartCopy
Next
AbortMultipartUpload
© 2026 Direct Cursus Technology L.L.C.